This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 541010 - libssh-0.4 needed soonish
libssh-0.4 needed soonish
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libssh (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
http://www.libssh.org/2009/10/01/kde-...
:
Depends On:
Blocks: kde-4.4
  Show dependency treegraph
 
Reported: 2009-11-24 13:01 EST by Rex Dieter
Modified: 2010-02-04 20:47 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.4.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-02 15:45:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2009-11-24 13:01:57 EST
kde-4.4 (beta) will be needing it, which is coming to rawhide real-soon.
Comment 1 Kevin Kofler 2009-11-24 15:00:43 EST
It's particularly important because the libssh-based code replaces the existing kio_sftp, so we can't really just not ship it. So it looks like we'll need this updated in F11 and F12 too within the next couple months.
Comment 2 Jan F. Chadima 2009-11-30 04:23:15 EST
The libssh 0.3.92 is ported to rawhide for the testing.
Comment 3 Andreas Schneider 2009-12-10 07:26:44 EST
I'm the maintainer of libssh and will try to do the libssh 0.4 release today. I will notify you as soon as I have source packages. I could help with the packaging stuff too.
Comment 4 Andreas Schneider 2009-12-10 17:55:42 EST
You can download libssh 0.4.0 at http://www.libssh.org/files/
Comment 5 Jan F. Chadima 2009-12-11 03:50:26 EST
Libssh 0.4.0 is built in rawhide ann f12 also.
Comment 6 Kevin Kofler 2009-12-11 03:55:48 EST
Can you push it to F11 too? We'd like to also provide KDE 4.4 in F11 and we need libssh 0.4 in order not to lose important functionality (kio_sftp).
Comment 7 Jan F. Chadima 2009-12-14 02:57:48 EST
the libssh 0.4.0 is now in f11, f12 and f13 also.
Comment 8 Rex Dieter 2009-12-22 08:19:49 EST
Thanks, I see builds, but no updates in bodhi, only 
https://admin.fedoraproject.org/updates/F11/FEDORA-2009-6476
atm.

Mind queue'ing updates?  Unless you're aware of anything else in fedora that currently depends on libssh (I don't know of any, repoquery is empty).
Comment 9 Fedora Update System 2009-12-23 08:02:42 EST
libssh-0.4.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libssh-0.4.0-1.fc11
Comment 10 Fedora Update System 2009-12-23 08:04:38 EST
libssh-0.4.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libssh-0.4.0-1.fc12
Comment 11 Fedora Update System 2009-12-24 15:40:36 EST
libssh-0.4.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libssh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13648
Comment 12 Fedora Update System 2009-12-24 15:44:47 EST
libssh-0.4.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libssh'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13672
Comment 13 Rex Dieter 2010-01-26 13:56:23 EST
Mind queuing for stable updates? it's been over a month in updates-testing already.
Comment 14 Fedora Update System 2010-02-02 15:45:12 EST
libssh-0.4.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-02-04 20:47:22 EST
libssh-0.4.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.